package com.ruoyi.system.service;

import com.ruoyi.common.core.domain.entity.SysLicense;

/**
 * 系统许可证Service接口
 *
 * @author ruoyi
 * @date 2026-02-09
 */
public interface ISysLicenseService
{
    /**
     * 查询系统许可证（获取第一条记录）
     *
     * @return 系统许可证
     */
    public SysLicense selectSysLicense();



    /**
     * 验证许可证是否有效
     *
     * @return true=有效 false=无效
     */
    public boolean validateLicense();

    /**
     * 获取许可证状态信息
     *
     * @return 许可证状态信息
     */
    public String getLicenseStatusInfo();

}
